[aisleriot/gnome-3-8] build: Use autoreconf instead of gnome-autogen



commit eb3fc344ff158cc69e093363e8fdb76bbd084545
Author: Christian Persch <chpe gnome org>
Date:   Mon Jun 3 19:10:38 2013 +0200

    build: Use autoreconf instead of gnome-autogen

 autogen.sh |   27 ++++++++-------------------
 1 files changed, 8 insertions(+), 19 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index 1b5cdbc..dcb8e83 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,26 +1,15 @@
 #!/bin/sh
 # Run this to generate all the initial makefiles, etc.
 
+set -e
+
 srcdir=`dirname $0`
 test -z "$srcdir" && srcdir=.
 
-PKG_NAME="Aisleriot"
-
-test -f $srcdir/src/sol.c || {
-    echo -n "**Error**: Directory \"\`$srcdir\'\" does not look like the"
-    echo " top-level $PKG_NAME directory"
-    exit 1
-}
-
-which gnome-autogen.sh || {
-    echo "You need to install gnome-common from GNOME git (or from"
-    echo "your OS vendor's package manager)."
-    exit 1
-}
-
-REQUIRED_AUTOMAKE_VERSION=1.9 
-REQUIRED_YELP_TOOLS_VERSION=3.1.1
-REQUIRED_GETTEXT_VERSION=0.12
-REQUIRED_INTLTOOL_VERSION=0.40.4
+cd "$srcdir"
+mkdir -p m4 >/dev/null 2>&1 || true
+autoreconf --verbose --force --install
+intltoolize --force
+cd -
 
-. gnome-autogen.sh
+test -n "$NOCONFIGURE" || "$srcdir/configure" "$@"


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]